export enum FinishReason {
  STOP = 'stop',
  LENGTH = 'length',
}

export interface ChoiceBase {
  index: number;
}

export interface FinishableChoiceBase extends ChoiceBase {
  finish_reason: FinishReason | null;
}

export type DataEventId = string;

export type Timestamp = number;

export interface PlatformResponse {
  created: Timestamp;
}

export type DoFetch = (
  method: string,
  path: string,
  body: Record<string, unknown>
) => Promise<Response>;

export type ConsumeStream = (
  response: Response,
) => Promise<void>;

export class PlatformError extends Error {
  constructor(message: string, readonly response: Response) {
    super(message);
    this.name = 'OpenAi.PlatformError';
  }
}

export enum ApiVersion {
  V1 = 'v1',
}

export interface Configuration {
  organizationId?: string;
  apiVersion: ApiVersion;
  apiKey: string;
  baseUrl?: string;
}
